Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "d263994f-b5d4-4c07-8f28-902203da2960",
  "_parent_id": "c27f5049-e8fd-449d-9d47-a8f0fb3e505a",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "975d30c3-a40d-411b-b632-143f250486ac",
  "company_id": "e3560983-c81c-4f5c-af7a-69ead93afa17",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "21ea72f9-6b7b-4592-86ab-9340db2d466d",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "f7d0003e-76c2-4cc9-9dc7-b11eae1b35a8",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "a702762b-2032-41d9-a37b-7aaeabe09258",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "83b5c5f5-b9ce-4a17-92a6-e2f84162f90f",
    "company_code": "sample string 5",
    "company": {
      "id": "d02716a0-7bf7-4a1d-839f-f6c445e42f3a",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-06-07T23:28:00.6430417+00:00",
      "sales_territory_id": "0b2f79c7-96ef-4ae0-a9e4-c1384363f790",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "cc8c2a16-9768-4c07-af53-df0fd81eb272",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "9de2cdd1-2232-4db3-bc7d-7e35e3aee2e3",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "702e19a5-8cad-4d76-8836-e50e1f34212b",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "b0a4bdaa-f189-4ec6-b0f7-3cf74089866b",
          "db_currency_id": "39d067e0-914a-488c-839a-053ce234a89a",
          "db_language_id": "8c30ecc8-bda8-4c77-b5c6-713eff254830",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00"
        },
        "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00"
      },
      "marketing_segment_id": "889ebf2e-dd0f-4256-bcbe-9bc22dd5c54b",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "f2e3f5ab-a810-4171-ac3e-d8090adff4c8",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "3340f69a-4bac-47a3-88f6-d138d871fc82",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "390c274d-6992-4bbb-97e4-2dca0bb0b317",
      "db_country_code": "sample string 28",
      "feelist_id": "9ec44176-eef9-43ea-a71b-838453a3ad17",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "d6452af2-83e6-4263-9e24-1383f1f91e8e",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "a671d01c-0b68-46ae-afe4-11cb36cf97e6",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00",
        "db_currency_id": "6c7d1c71-cfd5-4eb1-85db-28a4cb0f5fe5",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "0677573f-111c-4c8a-b126-d3d51f3ee4ac",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "425cc524-c526-4b06-9d47-da97ee6f07f2",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "9d601139-6ca5-4bd3-bb9b-7aff98f690c0",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "8f33e5e3-d716-453d-b92d-ea46faa12d65",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "0610a0f2-9f71-4b26-be39-75892335c0b4",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "0de4d5c6-20fc-4d30-ab55-b0b77dfea385",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "ac6a2780-4083-4ad1-aaa2-8485e6f98651",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00"
      },
      "company_sector_id": "94976971-178a-4cb1-a182-c7a7a812e1f6",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "5f47e8a3-4cfe-42bf-9dd1-285debc80c96",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "b05610b4-c030-4c67-8e05-b0f391523937",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "282525c2-253f-492c-bf5a-4724ee9d9595",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "310a783a-6651-4e10-984b-363e655ca1ca",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00",
      "id2": 60
    },
    "db_language_id": "0438a076-4ea4-4e0d-94af-0c50a340b3e6",
    "db_language_code": "sample string 7",
    "db_title_id": "567602c7-dbe8-4276-a631-513078baf397",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-06-07T23:28:00.6430417+00:00",
    "create_date": "2026-06-07T23:28:00.6430417+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00"
  },
  "modified_dateutc": "2026-06-07T23:28:00.6430417+00:00",
  "id2": 22
}